<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddAnnunciatorReq StructType
 * @subpackage Structs
 */
class AddAnnunciatorReq extends APIRequest
{
    /**
     * The annunciator
     * @var XAnnunciator
     */
    public $annunciator;
    /**
     * Constructor method for AddAnnunciatorReq
     * @uses AddAnnunciatorReq::setAnnunciator()
     * @param XAnnunciator $annunciator
     */
    public function __construct(XAnnunciator $annunciator = null)
    {
        $this
            ->setAnnunciator($annunciator);
    }
    /**
     * Get annunciator value
     * @return XAnnunciator|null
     */
    public function getAnnunciator()
    {
        return $this->annunciator;
    }
    /**
     * Set annunciator value
     * @param XAnnunciator $annunciator
     * @return AddAnnunciatorReq
     */
    public function setAnnunciator(XAnnunciator $annunciator = null)
    {
        $this->annunciator = $annunciator;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddAnnunciatorReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
